#ifndef EXTERN
#  define EXTERN extern
#endif

#include "conf.h"
#include "rwconf.h"
#include "auth.h"

#define syslog		nsyslog
#define vsyslog		nvsyslog
#define openlog		nopenlog
#define setlogmask	nsetlogmask
#define closelog	ncloselog
#include <syslog.h>

#define nsyslog syslog

#define P_IDLE  0
#define P_INCOM 5
#define P_LOGIN 10

/* Range of normal, non escape ascii chars */
#define Fascii	32	//Space
#define Lascii	126	//Tilde

/* Some syntatic sugar */
#define TRUE	1
#define FALSE	0
#define noerror  0

typedef char bool;


/*
 * Global functions for the portslave.
 */
int tty_copy(int crnl, int in, int out);
void *xmalloc(int size);
void block(int sig);
void unblock(int sig);
int get_line(int ppp, char *prompt, int echo, char *line, int len);
int chatarray(int fd, int argc, char **argv, char *);
int chat_expect(int fd, char *s, char *);
int chat(int fd, char *s, char *);
void unescape(char *);
char *dotted(unsigned int);
int getty(int port, char *conn_info);
int emumodem(int port, char *conn_info);
void maketermsane(void);
int do_login(int port, struct auth *ai);
int spawnit(int port, struct auth *ai);
char *percent(int port, struct auth *ai, char *in);
int do_slip(int port, struct auth *ai);
int update_utmp(int port, struct auth *ai, int islogin);
int update_framed_route(struct auth *ai, int islogin);
int update_filter_id(struct auth *ai, int islogin);

int update_status(int port, char *login, char *message);

int get_traffic_stats(struct auth *ai);


/* Global variables. */
extern int chat_timeout;
extern int chat_send_delay;
extern void (*chat_debug_printf)(const char *, ...);

